from typing import *
from vcApi import *

@overload
def new(product: vcProduct, node: vcTransportNode, nextProcessGroupId: str = ...) -> vcProductFeed:
    """Creates a new vcProductFeed object and returns the new feed.
 If NextProcessGroupId is not defined, the feed can be matched with any process that has a need with the matching product and a valid transport solution, including an existing route and necessary links.
 
 Creates new product type and assigns it to the given flow group. The name must be unique."""
    pass

@overload
def new(product: vcProduct, node: vcTransportNode, options: List[vcFeedOptionFlowInfo]) -> vcProductFeed:
    """Creates a new vcProductFeed object and returns the new feed.
 If NextProcessGroupId is not defined, the feed can be matched with any process that has a need with the matching product and a valid transport solution, including an existing route and necessary links.
 
 Creates new product type and assigns it to the given flow group. The name must be unique."""
    pass
