from typing import *
from vcApi import *

@overload
def new(vector: vcVector) -> vcVector:
    """Creates a new vcVector object.
 One option allows you to give an existing vector, thereby creating a copy.
 A second option allows you to give three components for new vector.
 A third option allows you to give four components for new vector.
 A fourth option allows you to give no arguments, thereby creating a zero vector."""
    pass

@overload
def new(x: float, y: float, z: float) -> vcVector:
    """Creates a new vcVector object.
 One option allows you to give an existing vector, thereby creating a copy.
 A second option allows you to give three components for new vector.
 A third option allows you to give four components for new vector.
 A fourth option allows you to give no arguments, thereby creating a zero vector."""
    pass

@overload
def new(x: float, y: float, z: float, w: float) -> vcVector:
    """Creates a new vcVector object.
 One option allows you to give an existing vector, thereby creating a copy.
 A second option allows you to give three components for new vector.
 A third option allows you to give four components for new vector.
 A fourth option allows you to give no arguments, thereby creating a zero vector."""
    pass

@overload
def new() -> vcVector:
    """Creates a new vcVector object.
 One option allows you to give an existing vector, thereby creating a copy.
 A second option allows you to give three components for new vector.
 A third option allows you to give four components for new vector.
 A fourth option allows you to give no arguments, thereby creating a zero vector."""
    pass
